Bug 100355 - [NEW PORT] cad/electric8: A sophisticated VLSI design system
[NEW PORT] cad/electric8: A sophisticated VLSI design system
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stanislav Sedov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 20:30 UTC by ssedov
Modified: 2006-09-30 10:58 UTC (History)
0 users

See Also:


Attachments
electric-8.03.shar (3.71 KB, text/plain)
2006-07-15 20:30 UTC, ssedov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ssedov 2006-07-15 20:30:32 UTC
Electric is a sophisticated electrical CAD system that can handle
many forms of circuit design, including:
 - Custom IC layout (ASICs) 
 - Schematic drawing 
 - Hardware description language specifications 

Electric has these CAD operations:  
 - Design rule checking
 - Electrical rule checking
 - Simulation and simulation interface (many options)
 - Generation (ROMs, PLAs, Pad Frames, etc.)
 - Compaction
 - Routing 
 - VHDL compilation
 - Silicon compilation
 - Network consistency checking (LVS)
 - Logical Effort analysis
 - Project Management
       
Electric can display these types of design:
 - MOS (many CMOS and nMOS variations)
 - Bipolar and BiCMOS
 - Schematics and printed circuits
 - Digital filters, Temporal logic
 - Artwork

For real funcionality, one should consider installing
support simulation software such as cad/spice.

Author:	Static Free Software & Sun Microsystems, Inc.
WWW:	http://www.staticfreesoft.com/

---------------------------------------------------

This newer release of cad/electric is written
in java contradictory to original electric
program, which will not be longer maintened.
So, I think, it should be a separate port,
not conflicting with cad/electric, since
many people uses both versions (C version
is much faster).

Makefile is designed from scratch, so
I think we don't want a repocopy.
Comment 1 itetcu freebsd_committer 2006-07-16 05:20:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 herve.quiroz 2006-07-17 15:24:26 UTC
Just a quick comment regarding the use of javavmwrapper in the launcher
shell script: you need to setenv JAVA_VERSION="%%JAVA_VERSION%%" before
running java(1) so that it will use a suitable JDK.

Herve
Comment 3 Stanislav Sedov freebsd_committer 2006-09-20 15:43:54 UTC
Responsible Changed
From-To: itetcu->stas

I'll take it.
Comment 4 dfilter freebsd_committer 2006-09-30 10:41:13 UTC
stas        2006-09-30 09:41:07 UTC

  FreeBSD ports repository

  Modified files:
    cad                  Makefile 
  Added files:
    cad/electric-ng      Makefile distinfo pkg-descr 
    cad/electric-ng/files electric-ng.in 
  Log:
  Electric is a sophisticated electrical CAD system that can handle
  many forms of circuit design, including:
   - Custom IC layout (ASICs)
   - Schematic drawing
   - Hardware description language specifications
  
  Author: Static Free Software & Sun Microsystems, Inc.
  WWW:    http://www.staticfreesoft.com/
  
  PR:             ports/100355
  Submitted by:   me (stas)
  Approved by:    sem (mentor)
  
  Revision  Changes    Path
  1.92      +1 -0      ports/cad/Makefile
  1.1       +49 -0     ports/cad/electric-ng/Makefile (new)
  1.1       +3 -0      ports/cad/electric-ng/distinfo (new)
  1.1       +18 -0     ports/cad/electric-ng/files/electric-ng.in (new)
  1.1       +31 -0     ports/cad/electric-ng/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Stanislav Sedov freebsd_committer 2006-09-30 10:58:43 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!